Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 104273 - rpath patch for gecko-sdk
Summary: rpath patch for gecko-sdk
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-30 08:32 UTC by Gergan Penkov
Modified: 2006-11-11 12:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
gecko-sdk-1.7.8.ebuild (gecko-sdk-1.7.8.ebuild,6.93 KB, text/plain)
2005-08-30 08:37 UTC, Gergan Penkov
Details
rpath.patch (rpath.patch,664 bytes, patch)
2005-08-30 08:37 UTC, Gergan Penkov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gergan Penkov 2005-08-30 08:32:47 UTC
As Jorry Pratt said in http://bugs.gentoo.org/show_bug.cgi?id=100597#c28 I am
opening a new bug for this, because you are the maintener of gecko-sdk. 
Although I do not see, why should an application build against gecko-sdk
(exception to this is only the case with the binary mozilla-builds and the
binary-sdk), as the compilation time for gecko-sdk is the same as for mozilla or
mozilla-firefox and they provide all the libraries needed for all the other
applications, opposed to gecko-sdk.
There were some issues with the first patch, which I uploaded in bug #100597,
but I didn't update it there, because of what I mentioned earlier (and I totally
forgot about them). So here I'll upload an updated patch and ebuild which
resolves the issue, which Kevin DeKorte mentioned in
http://bugs.gentoo.org/show_bug.cgi?id=100809#c36 (the problem was that in the
first patch I used a single rpath-tag, which left xpcom unresolved or resolved
to some other libraries).
Moreover I used the patch from bug #98828 (I named it cairo-fix.patch) in the
ebuild, in order to compile it and test it, because I have cairo-1.0.0 and
didn't want to downgrade all the gnome stuff, it applies clean and
mplayerplug-in works correctly, but I don't know if cairo-libraries are in some
way used.
The only other application in portage, which uses gecko-sdk, or the only one I
could find out is vlc. I could not build it because of bug #99813 (so I could
not try to make this builds against firefox or mozilla at this moment).
Comment 1 Gergan Penkov 2005-08-30 08:37:01 UTC
Created attachment 67272 [details]
gecko-sdk-1.7.8.ebuild

This is the ebuild for gecko-sdk-1.7.8, it uses the rpath.patch, which I'll
upload and cairo-fix.patch from bug #98828 (if >=cairo-0.9.0).
Comment 2 Gergan Penkov 2005-08-30 08:37:55 UTC
Created attachment 67274 [details, diff]
rpath.patch

This is the rpath.patch for the gecko-sdk
Comment 3 Joe Jezak (RETIRED) gentoo-dev 2005-09-09 16:11:29 UTC
Gecko-sdk is actually just the mozilla ebuild with a different install
procedure.  Once a version of mozilla with the rpath fix in it goes stable, I'll
just take that and update gecko-sdk.  Is that acceptable?
Comment 4 Gergan Penkov 2005-09-09 16:20:38 UTC
Yes, of course :)
Only this is a little bit different 
grep -Flr "#RPATH_FIXER" --include=*.mk . | xargs sed -i -e \
		's|#RPATH_FIXER|'"/usr/$(get_libdir)/${PN}/lib:/usr/$(get_libdir)/${PN}/bin"'|'
Simply, because as you said the installation procedure is a little bit
different, therefore the both paths (lib and bin) should be added.
Comment 5 Joe Jezak (RETIRED) gentoo-dev 2005-09-25 20:24:51 UTC
cairo is fixed in gecko-sdk-1.7.12 thanks to az.  As soon as a version with the
rpath fix is stabled, we'll introduce it to gecko-sdk.
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-11-11 12:45:37 UTC
gecko-sdk will be removed from the tree along w/ mozilla.

WONTFIX.